Name:           ocaml-ppx-disable-unused-warnings
Version:        0.17.0
Release:        %autorelease
Summary:        Defines [@disable_unused_warnings] for OCaml code

License:        MIT
URL:            https://github.com/janestreet/ppx_disable_unused_warnings
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_disable_unused_warnings-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
The `@disable_unused_warnings` annotation disables the many OCaml
compiler warnings having to do with something being used (variable,
constructor, declaration, `open`, `rec` keyword, etc.).  It can be used
at all three annotation scopes:

- `[@@@disable_unused_warnings]`
- `[@@disable_unused_warnings]`
- `[@disable_unused_warnings]`

As of OCaml 4.10, it translates `[@disable_unused_warnings]` to:

  `[@@@warning "-26-27-32-33-34-35-36-37-38-39-60-66-67"]`

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_disable_unused_warnings-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
